---
title: 가드레일 할당 만들기 | RunAPI
description: 표준 API 키 또는 계정 구성원에 가드레일 하나를 연결합니다.
url: https://runapi.ai/ko/docs/api/management/guardrail-assignments/create.md
canonical: https://runapi.ai/ko/docs/api/management/guardrail-assignments/create
locale: ko
---

> HTML 버전: https://runapi.ai/ko/docs/api/management/guardrail-assignments/create
> 에이전트용 사이트 색인: https://runapi.ai/llms.txt

# 가드레일 할당 만들기

표준 API 키 또는 계정 구성원에 가드레일 하나를 연결합니다.

## 엔드포인트

POST /api/v1/guardrail_assignments

Base URL: https://runapi.ai

API 버전: v1

인증: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


Authorization: 계정 관리자는 적격한 모든 대상을 할당할 수 있습니다. 관리자가 아닌 사용자는 자신의 표준 API 키만 할당할 수 있습니다.

## 요청

나열된 요청 위치에만 값을 전송하세요.

### JSON 본문

```json
{
  "account_user_id": {
    "description": "계정 구성원 접두사 ID. 이 대상을 지정하려면 계정 관리자 권한이 필요합니다.",
    "required": false,
    "type": "string"
  },
  "api_token_id": {
    "description": "표준 API 키 접두사 ID. 정확히 하나의 대상 ID를 제공하세요.",
    "required": false,
    "type": "string"
  },
  "guardrail_id": {
    "description": "Guardrail 접두사 ID.",
    "required": true,
    "type": "string"
  }
}
```

## 성공 응답

HTTP 201 - POST /api/v1/guardrail_assignments

```json
{
  "account_user_id": null,
  "api_token_id": "token_123",
  "created_at": "2026-07-27T10:00:00.000Z",
  "guardrail_id": "guardrail_123",
  "id": "guardrail_assignment_123"
}
```

## 오류 응답 (401)

HTTP 401

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Authentication required"
}
```

## 오류 응답 (403)

HTTP 403

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Management API key required"
}
```

## 오류 응답 (400)

HTTP 400

### 응답 스키마

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 오류 메시지.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 유효성 검사 요약입니다.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "공개 요청 필드를 키로 하는 유효성 검사 메시지로, 각 필드에 대해 사람이 읽을 수 있는 문자열 배열이 포함됩니다.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### 응답 예시

```json
{
  "error": "page must be an integer"
}
```

## 오류 응답 (403)

HTTP 403

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Forbidden"
}
```

## 오류 응답 (404)

HTTP 404

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Resource not found"
}
```

## 오류 응답 (422)

HTTP 422

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 유효성 검사 요약입니다.",
      "type": "string"
    },
    "errors": {
      "additionalProperties": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "description": "공개 요청 필드를 키로 하는 유효성 검사 메시지로, 각 필드에 대해 사람이 읽을 수 있는 문자열 배열이 포함됩니다.",
      "type": "object"
    }
  },
  "required": [
    "error",
    "errors"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Validation failed",
  "errors": {
    "base": [
      "Validation failed"
    ]
  }
}
```

## cURL 예시



### curl

```curl
curl -X POST https://runapi.ai/api/v1/guardrail_assignments \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"guardrail_id":"guardrail_123","api_token_id":"token_123"}'
```

## 관련 참조

- [가드레일 할당](https://runapi.ai/ko/docs/api/management/guardrail-assignments.md)
- [Guardrail Assignment 객체](https://runapi.ai/ko/docs/api/management/guardrail-assignments/object.md)

---

## RunAPI의 더 많은 정보

- [홈](https://runapi.ai/ko/.md)
- [모델 카탈로그](https://runapi.ai/ko/models.md)
- [요금](https://runapi.ai/ko/pricing.md)
- [제공사](https://runapi.ai/ko/models)
- [문서](https://runapi.ai/ko/docs/guides)
- [SDK](https://runapi.ai/ko/sdk.md)
- [CLI](https://runapi.ai/ko/cli.md)
- [MCP Server](https://runapi.ai/ko/mcp.md)
- [Claude Code와 Cursor](https://runapi.ai/ko/claude-code-vs-cursor.md)
- [Cursor API 설정](https://runapi.ai/ko/cursor-api-setup.md)
- [RunAPI와 OpenRouter 비교](https://runapi.ai/ko/openrouter-alternative.md)
- [엔터프라이즈](https://runapi.ai/ko/contact.md)
- [문의](https://runapi.ai/ko/contact.md)
- [약관](https://runapi.ai/ko/terms.md)
- [개인정보](https://runapi.ai/ko/privacy.md)
- [에이전트용 사이트 색인](https://runapi.ai/llms.txt)

문의: contact@runapi.ai

## 구조화된 데이터

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/ko/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/koicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "TechArticle",
    "headline": "가드레일 할당 만들기",
    "description": "표준 API 키 또는 계정 구성원에 가드레일 하나를 연결합니다.",
    "url": "https://runapi.ai/ko/docs/api/management/guardrail-assignments/create",
    "mainEntityOfPage": "https://runapi.ai/ko/docs/api/management/guardrail-assignments/create"
  }
]
```
